cascading.flow.local.planner

## Class LocalRuleRegistry

- java.lang.Object
- - cascading.flow.planner.rule.RuleRegistry
  - - cascading.flow.local.planner.LocalRuleRegistry

    public class LocalRuleRegistry
    extends RuleRegistry

### Constructor Summary

Constructors
Constructor and Description
`LocalRuleRegistry()`

### Method Summary

### Methods inherited from class cascading.flow.planner.rule.RuleRegistry

`addDefaultElementFactory, addElementFactory, addRule, enableDebugLogging, enabledResolveElements, equals, getElementFactory, getName, getProcessLevels, getRulesFor, hasElementFactory, hashCode, hasRule, restoreLogging, setResolveElementsEnabled`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LocalRuleRegistry

    public LocalRuleRegistry()